Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011836 [DCSS] Bug Report minor always 2019-01-21 14:36 2019-02-02 13:31
Reporter RoGGa View Status public  
Assigned To ebering
Priority normal Resolution done  
Status closed   Product Branch 0.23 stable branch
Summary 0011836: No warning for Demonspawn when reading scroll of Holy Word
Description Also, the scroll is not in red.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0032953)
NormalPerson7 (reporter)
2019-01-21 15:55
edited on: 2019-01-21 16:09

The new warning applies to when allies would get hurt, not to when you would get hurt, so this isn't strictly a bug. Having said that, there are no other effects that I can think of (apart from the scroll of torment and Kiku torment) that don't warn you when they would deal damage to you the player, so this should probably be changed.

The scroll not being in red however is completely as intended; items are only in red text if they are banned by your god, or if they are cursed.

(0033025)
ebering (developer)
2019-01-31 05:02

There was a more general issue of bad and dangerous items not prompting. This has been fixed with 0.24-a0-9-gb30acc4287

- Issue History
Date Modified Username Field Change
2019-01-21 14:36 RoGGa New Issue
2019-01-21 15:55 NormalPerson7 Note Added: 0032953
2019-01-21 15:55 NormalPerson7 Note Edited: 0032953
2019-01-21 16:03 NormalPerson7 Note Edited: 0032953
2019-01-21 16:09 NormalPerson7 Note Edited: 0032953
2019-01-31 05:02 ebering Note Added: 0033025
2019-01-31 05:02 ebering Status new => resolved
2019-01-31 05:02 ebering Resolution open => done
2019-01-31 05:02 ebering Assigned To => ebering
2019-02-02 13:30 RoGGa Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker